import request from '@/utils/request'

// 查询微信交换记录列表
export function listWxTransLog(query) {
  return request({
    url: '/xq/wxTransLog/list',
    method: 'get',
    params: query
  })
}

// 查询微信交换记录详细
export function getWxTransLog(id) {
  return request({
    url: '/xq/wxTransLog/' + id,
    method: 'get'
  })
}

// 新增微信交换记录
export function addWxTransLog(data) {
  return request({
    url: '/xq/wxTransLog',
    method: 'post',
    data: data
  })
}

// 修改微信交换记录
export function updateWxTransLog(data) {
  return request({
    url: '/xq/wxTransLog',
    method: 'put',
    data: data
  })
}

// 删除微信交换记录
export function delWxTransLog(id) {
  return request({
    url: '/xq/wxTransLog/' + id,
    method: 'delete'
  })
}
